/*  General styes */
:root {
    --primary-color: #C6D870;
    --secondary-color: #31380F;
    --complementary-color: #8170D8;
    --bg-light: #E9F0C7;
    --text-primary: #19242F;
    --text-secondary: #232D41;
    --bg-strong: #3F4A69;

}

html {
    font-size: 62.5%;
}

body {
    visibility: hidden;
}

* {
    padding: 0;
    margin: 0;
    font-family: "Arimo", sans-serif;
}


ul {
    list-style-type: None;
}

a {
    color: var(--text-secondary);
}

#main-content {
    padding: 0;
    margin: 0;
}

.msg {
    width: 100%;
    padding: 20px;
    position: absolute;
    left: 0;
    top: 0;
    background-color: var(--primary-color);
    text-align: center;
    z-index: 1000;
    display: none;
    font-size: 1.7rem;
    font-weight: bold;
    font-style: italic;
}
/* Header and navigation */

header {
    max-width: 100%;
    max-height: 80px;
    background-color: var(--bg-light);
    padding: 20px 25px;
}

nav ul {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    
}

nav ul p {
    font-size: 1.6rem;
    
}


.logo img {
    margin: 12px 0;
}


/* End Header and navigation */


/* Dashboard   */



#dashboard {
    min-height: calc(100vh - 80px);
    display: flex;
}

/*  End Dashboard  */

/* aside   */

aside {
    max-width: 20%;
    min-width: 300px;
    min-height: calc(100vh - 80px);
    display: flex;
    flex-direction: column;
    padding: 20px 0px;
    background-color: var(--secondary-color);
    border-right: 8px solid var(--bg-strong);
   
}

aside h5 {
    font-size: 2.2rem;
    padding-left: 50px;
    margin-bottom: 30px;
    color: whitesmoke;
}

.menu {
    flex-grow: 2;
}
aside .menu > ul {
    
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

aside ul li > a {
    padding: 15px 5px;
    background-color: var(--primary-color);
    display: flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;
   
}

.menu-text {
    font-size:2rem;
}



#logout form {
    display: flex;
    align-items: center;
    gap: 5px;
}

#logout form > button{

    border: none;
    font-size: 2rem;
    color: var(--bg-light);
    padding: 10px;
    cursor: pointer;
    background-color: var(--secondary-color);
    box-shadow: none;
 
 }
 


/* End aside   */

/* Main   */

main {
    position: relative;
    flex: 2;
}

#title-bar {
    padding: 20px;
    background-color: var(--complementary-color);
}

#title-bar h3 {
    font-size: 2rem;
    text-decoration: underline;
    color: whitesmoke;
}


/* End main    */





/* Account styles    */
#account {
    padding: 20px 30px;
    display: flex;
    flex-direction: column;
    gap: 50px;
}

#account-infos {
    background-color: var(--bg-light);
    padding: 20px;
    max-width: 500px;
    box-shadow: 0 0 3px black;
}

#account-infos > h3 {
    margin: 15px 0px;
    font-size: 2.1rem;
}

#account-infos p {
    
    font-size: 1.5rem;
}

#account-infos > div {
    display: flex;
    flex-direction: column;
    gap: 10px
}

#account-releve {
    display: flex;
    flex-direction: column;
    gap: 30px;
    background-color: var(--bg-light);
    padding: 20px;
    box-shadow: 0 0 3px black;
}

#account-releve > h3 {
    font-size: 2.1rem;
    margin-bottom: 5px;
    
}
#account-table {
    width: 100%;
}
#account-table thead{
    width: 100%;
    background-color: var(--complementary-color);
    color: whitesmoke;
}

#account-table th {
    padding: 10px;
}

#account-table td{
    padding: 30px 10px;
    background-color: var(--bg-strong);
    color: whitesmoke;
}



/* End account   */

/* start transfert   */

#account-transfert {
    display: flex;
    flex-direction: column;
    gap: 50px;
    padding: 20px 30px;
}

#transfert-text {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

#transfert-text > p {
    font-size: 1.8rem;
    margin: 12px 0px;
}

#transfert-text  > ul {
    display: flex;
    flex-direction: column;
    gap: 15px;
    
}

#transfert-text  > ul > li h5 {
    font-size: 1.8rem;
    margin: 8px 0;
}

#transfert-text  > ul > li p {
    font-size: 1.6rem;
    
}

#tranfert-toggle-btn {
    display: block;
    padding: 13px 18px;
    background-color: var(--complementary-color);
    color: whitesmoke;
    border: none;
    margin-bottom: 30px;
    cursor: pointer;
    font-size: 1.6rem;
}



#transfert-form, .display {
    max-width: 600px;
    background-color: var(--bg-light);
    padding: 20px;
    
}



#transfert-form > form div, .display > form div{
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: 100%;
    margin: 40px 0px;
}

#transfert-form > form input, .display > form input{
    padding: 8px;
    font-size: 1.7rem;
}

#transfert-form > form label, .display > form label{
    font-size: 1.6rem;
}

#transfert-form > form button , .display > form button{
    padding: 10px 15px;
    background-color: var(--complementary-color);
    color: whitesmoke;
    cursor: pointer;
    font-size: 1.7rem;
}

.display {
    display: none;
    margin-bottom: 50px;
}

/* End transfert   */

/* dash start */

#profile_hero {
    background-color: var(--primary-color);
    padding: 15px 25px;
    display: flex;
    justify-content: space-between;
    margin-bottom: 50px;
}

.profile {
    display: flex;
    align-items: center;
    gap: 12px;
}

.profile span {
    font-size: 1.6rem;
}

#profile-account > span:last-child {
    padding: 8px 12px;
    font-size: 1.5rem;
    font-weight: bold;
    background-color: var(--complementary-color);
    border-radius: 25px;
    color: whitesmoke;
}

#profile-information {
    padding: 25px;
    margin-left: 20px;
    border-left: 5px blueviolet dotted;
    background-color: var(--bg-light);
    max-width: 600px;
}

#profile-information > h3 {
    font-size: 2.1rem;
    margin: 15px 0;
}

.profile-info {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.profile-info p {
    font-size: 1.6rem;
}

/* dash end */

/* Login page  */

#main_auth {
    width: 100%;
    min-height: 120vh;
    background-image: url("../images/loan_newyork_bg.jpg");
    background-position: center;
    background-size: cover;
    position: relative;
    
}

#auth_section {
    margin: 0;
    min-width: 45%;
    min-height: 100%;
    padding: 0px 50px ;
    background-color: whitesmoke;
    position: absolute;
    right: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    
}

.form-title {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.form-title > p {
    font-size: 1.8rem;
}

.form-title > h3{
    font-size: 2.5rem;
}

#auth_form {
    margin: 0;
    padding: 20px;
    min-width: 600px;
}

#auth_form > p {
    font-size: 1.8rem;
}

.two_form-grp {
    width: 100%;
    display: flex;
    gap: 15px;
    align-items: center;
}

.form-grp {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin: 15px 0px;
}

.form-grp > input {
    padding: 12px;
    border: none;
    background-color: white;
    font-size: 1.6rem;
    
}

.form-grp > label {
    font-size: 1.7rem;
    
}

.transfert-form > button[type="submit"], #auth_form > button[type="submit"] {
    padding: 14px 32px;
    border: none;
    background-color: var(--primary-color);
    color: var(--text-secondary);
    font-weight: bold;
    margin-top: 20px;
    font-size: 1.6rem;
    border-radius: 4px;
    cursor: pointer;
}


/* end Login page  */

/* admin page */

#main_admin {
    padding: 20px 30px;
}

.admin_users_sections {
    display: flex;
    flex-direction: column;
    gap: 40px;
}


.admin_users_sections div {
    padding: 20px;
    background-color: var(--bg-light);
    margin-bottom: 50px;

}

.admin_users_sections div > p {
    margin: 10px 0px;
    font-size: 1.7rem;
}

.admin_users_sections h3 {
    font-size: 2rem;
}

.buttons {
    display: flex;
    gap: 20px;
    align-items: center;
    margin-bottom: 50px;
}
.action_btn {
    background-color: var(--complementary-color);
    color: whitesmoke;
    padding: 13px 25px;
    font-size: larger;
    border-radius: 10px;
    cursor: pointer;
}

.action_btn.desactiver {
    background-color: salmon;
}

.action_btn.certifier {
    background-color: greenyellow;
    color: var(--text-secondary);
}

.footer{
    position: absolute;
    bottom: 10px;
    right: 10px;
    font-size: 1.6rem;
}

/* popup part */
.popup {
    width: 30%;
    background-color: var(--primary-color);
    padding: 40px 25px;
}

#loading {
    width: 260px;
    height: 30px;
    border: none;
    border-radius: 5px;
    background-color: whitesmoke;
    text-align: center;
    position: relative;
}

.ld_text {
    margin-bottom: 20px;
    font-size: 1.5rem;
}

.loading_text {
    display: inline-block;
    color: red;
    z-index: 20;
}
.loading_percent {
    display: inline-block;
    padding:  0px 10px;
    color: var(--text-secondary);
}

.loading_loader {
    display: inline-block;
    height: 30px;
    margin: 0;
    background-color: var(--complementary-color);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10;
}

.code_box {
    margin: 20px 0px;

}

#code {
    display: inline-bock;
    margin-right: 10px;
    padding: 10px;
    border: none;
    border-radius: 5px;

}

.code_btn {
    padding: 12px 15px;
    background-color: var(--bg-light);
    color: var(--text-secondary);
}

.tf_mes {
    font-size: 1.5rem;
    margin-top: 12px;
    color: var(--text-secondary);
}

#sent_mail {
    display: none;
}

/* end popup part */


@media screen and (min-width: 500px) and (max-width: 750px){
    #dashboard  {
        flex-direction: column;
    }

    
    aside {
        max-width: 100%;
        min-width: 150px;
        min-height: 100px;
        padding: 20px 0px;
        background-color: var(--secondary-color);
        border-right: 8px solid var(--bg-strong); 
    }
    .menu-text {
        font-size: 1rem;
    }

    #logout button{
        font-size: 1.4rem;
        color: var(--bg-light);
        padding: 10px 3px;
   
     }

    

    #transfert-form {
        max-width: 400px;
        background-color: var(--bg-light);
        padding: 20px;
    }

  

    .tb-parent {
        overflow-x: auto;
    }
}


@media screen and (max-width: 980px){
    aside {
        min-width: 250px;
        min-height: 100vh;
        padding: 20px 0px;
        background-color: var(--secondary-color);
        border-right: 8px solid var(--bg-strong); 
    }
    .menu-text {
        font-size: 1.5rem;
    }

    #logout button{
        font-size: 1.5rem;
        color: var(--bg-light);
        padding: 10px 5px;
   
     }

     #account {
        padding: 10px 20px;
        display: flex;
        flex-direction: column;
        gap: 50px;
    }

     #account-infos {
        background-color: var(--bg-light);
        padding: 20px;
        max-width: 450px;
        box-shadow: 0 0 3px black;
    }

    #transfert-form {
        max-width: 450px;
        background-color: var(--bg-light);
        padding: 20px;
        
    }

    #account-releve {
        max-width: 440px;
        margin-bottom: 50px;
    }

    .tb-parent {
        overflow-x: auto;
    }
}

@media screen and (max-width: 450px) {
    #dashboard  {
        flex-direction: column;
    }
    header {
        max-width: 100%;
        max-height: 60px;
        background-color: var(--bg-light);
        padding: 10px 12px;
    }
    
    nav ul {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    #logo_img img{
        width: 80px;
    }

    .nav-text {
        font-size: 10px;
    }

    aside {
        max-width: 100%;
        min-height: 210px;
        height: 100px;
        display: flex;
        flex-direction: column;
        padding: 10px 0px;
        background-color: var(--secondary-color);
        border-right: none;  
        
    }

    .menu {
        flex: 1;
        flex-grow: 0;
        
    }

    main {
        flex: 1;
    }
    
    #title-bar {
        padding: 20px 10px;
        background-color: var(--complementary-color);
    }

   

    aside .menu > ul {
        width: 100%;
        display: flex;
        flex-direction: column;
        gap: 5px;
    }


    aside h5 {
        font-size: 1.6rem;
        padding-left: 5px;
        margin-bottom: 15px;
    }

    aside ul li > a {
        padding: 10px 0px;
        background-color: var(--primary-color);
        display: flex;
        align-items: center;
        gap: 8px;
        text-decoration: none;
    }
    
    .menu-text {
        font-size:1.5rem;
    }

    
    #logout form > button{
    
       border: none;
       font-size: 1.5rem;
       padding: 10px;
    }

    
/* dash start */

    #dash {
        padding: 0;
        margin: 0;
    }

    #profile_hero {
        background-color: var(--primary-color);
        padding: 10px 5px;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        gap: 15px;
        margin-bottom: 50px;
        margin-right: 0;

    }

    .profile {
        display: flex;
        align-items: center;
        gap: 6px;
    }


    .profile span {
        font-size: 1.4rem;
        font-weight: bold;
    }


    #profile-account > span:last-child {
        padding: 8px 10px;
        font-size: 1.4rem;
        font-weight: bold;
        background-color: var(--complementary-color);
        border-radius: 20px;
        color: whitesmoke;
    }

    #profile-information {
        
        padding: 10px;
        margin-left: 20px;
        margin-right: 0px;
        border-left: 5px blueviolet dotted;
        background-color: var(--bg-light);
        max-width: 300px;
    }

    #profile-information > h3 {
        margin: 15px 0;
    }

    #profile-information > p {
        font-size: 1.5rem;
    }

    .profile-info {
        display: flex;
        flex-direction: column;
        gap: 12px;
    }

    /* dash end */

        #account {
            padding: 20px 30px;
            display: flex;
            flex-direction: column;
            gap: 50px;
        }
        
        #account-infos {
            background-color: var(--bg-light);
            padding: 20px;
            max-width: 300px;
            box-shadow: 0 0 3px black;
        }

        #account-table {
            width: 100%;
        }
        #account-table thead{
            width: 100%;
            background-color: var(--complementary-color);
            color: whitesmoke;
        }

        #account-transfert {
            display: flex;
            flex-direction: column;
            gap: 50px;
            padding: 20px 30px;
        }

        #transfert-form {
            max-width: 600px;
            background-color: var(--bg-light);
            padding: 20px;
        }

        #profile_hero {
            background-color: var(--primary-color);
            padding: 15px 25px;
            display: flex;
            justify-content: space-between;
            margin-bottom: 50px;
        }
        
    .profile {
        display: flex;
        align-items: center;
        gap: 12px;
    }

    #main_auth {
        width: 100%;
        min-height: 100vh;
        background-image: none;
        position: relative;
    }
    
    #auth_section {
        width: 100%;
        min-height: 100vh;
        background-color: var(--bg-light);
        position: relative;
        padding: 10px;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 20px;    
    }

    #auth_form {
        padding: 20px;
        min-width: 300px;
        margin: 0 auto;


    }

    .two_form-grp {
        flex-direction: column;
    }

    .admin_users_sections div {
        padding: 10px;
        background-color: var(--bg-light);
        max-width: 280px;
    
    }

    .tb-parent {
        overflow-x: auto;
    }
    
} 



